package com.gh.gamecenter.setting.compose.provider

import android.content.Context
import android.content.Intent
import android.os.Parcelable
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IShellProvider

@com.therouter.inject.ServiceProvider
class ShellProviderImpl : IShellProvider {
    override fun getSwitchInstallMethodIntent(context: Context, extraParcelable: Parcelable?): Intent? {
        return null
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}